package com.kmall.admin.service.mk.store;


import com.kmall.admin.entity.mk.store.MkStoreCampMinusLevelEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店满减活动层级表，活动减免类型为00：按满足最高层级减一次时增加的活动层级数据Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:29
 */
public interface MkStoreCampMinusLevelService {

    /**
     * 根据主键查询实体
     *
     * @param campMinusLevelId 主键
     * @return 实体
     */
    MkStoreCampMinusLevelEntity queryObject(Integer campMinusLevelId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStoreCampMinusLevelEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreCampMinusLevel 实体
     * @return 保存条数
     */
    int save(MkStoreCampMinusLevelEntity mkStoreCampMinusLevel);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreCampMinusLevel 实体
     * @return 更新条数
     */
    int update(MkStoreCampMinusLevelEntity mkStoreCampMinusLevel);

    /**
     * 根据主键删除
     *
     * @param campMinusLevelId
     * @return 删除条数
     */
    int delete(Integer campMinusLevelId);

    /**
     * 根据主键批量删除
     *
     * @param campMinusLevelIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] campMinusLevelIds);
}
